package gmodel

import (
	"gorm.io/gorm"
	"time"
)

// fs_zip_code 邮编表
type FsZipCode struct {
	Id      int64      `gorm:"primary_key;default:0;auto_increment;" json:"id"` // ID
	ZipCode *string    `gorm:"default:'';" json:"zip_code"`                     // 邮编
	Manager *int64     `gorm:"default:0;" json:"manager"`                       // 负责人
	Status  *int64     `gorm:"default:0;" json:"status"`                        // 状态 1正常0关闭
	Ctime   *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"ctime"`     //
	Utime   *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"utime"`     //
}
type FsZipCodeModel struct {
	db   *gorm.DB
	name string
}

func NewFsZipCodeModel(db *gorm.DB) *FsZipCodeModel {
	return &FsZipCodeModel{db: db, name: "fs_zip_code"}
}
